# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class AffinityInformation(Model):
    """
    A locality hint that can be used by the Batch service to select a compute
    node on which to start a task.

    :param affinity_id: Gets or sets an opaque string representing the
     location of a compute node or a task that has run previously.  You can
     pass the AffinityId of a compute node or task to indicate that this task
     needs to be placed close to the node or task.
    :type affinity_id: str
    """ 

    _attribute_map = {
        'affinity_id': {'key': 'affinityId', 'type': 'str'},
    }

    def __init__(self, affinity_id=None, **kwargs):
        self.affinity_id = affinity_id
