# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class JobPreparationAndReleaseTaskExecutionInformation(Model):
    """
    The status of the Job Preparation and Job Release tasks on a particular
    compute node.

    :param pool_id: Gets or sets the id of the pool containing the compute
     node to which this entry refers.
    :type pool_id: str
    :param node_id: Gets or sets the id of the compute node to which this
     entry refers.
    :type node_id: str
    :param node_url: Gets or sets the URL of the compute node to which this
     entry refers.
    :type node_url: str
    :param job_preparation_task_execution_info: Gets or sets information
     about the execution status of the Job Preparation task on this compute
     node.
    :type job_preparation_task_execution_info:
     :class:`JobPreparationTaskExecutionInformation
     <azure.batch.models.JobPreparationTaskExecutionInformation>`
    :param job_release_task_execution_info: Gets or sets information about
     the execution status of the Job Release task on this compute node. This
     property is set only if the Job Release task has run on the node.
    :type job_release_task_execution_info:
     :class:`JobReleaseTaskExecutionInformation
     <azure.batch.models.JobReleaseTaskExecutionInformation>`
    """ 

    _attribute_map = {
        'pool_id': {'key': 'poolId', 'type': 'str'},
        'node_id': {'key': 'nodeId', 'type': 'str'},
        'node_url': {'key': 'nodeUrl', 'type': 'str'},
        'job_preparation_task_execution_info': {'key': 'jobPreparationTaskExecutionInfo', 'type': 'JobPreparationTaskExecutionInformation'},
        'job_release_task_execution_info': {'key': 'jobReleaseTaskExecutionInfo', 'type': 'JobReleaseTaskExecutionInformation'},
    }

    def __init__(self, pool_id=None, node_id=None, node_url=None, job_preparation_task_execution_info=None, job_release_task_execution_info=None, **kwargs):
        self.pool_id = pool_id
        self.node_id = node_id
        self.node_url = node_url
        self.job_preparation_task_execution_info = job_preparation_task_execution_info
        self.job_release_task_execution_info = job_release_task_execution_info
